Vraag & Antwoord

OS Linux

Debian netwerk install

37 antwoorden
  • Hallo, Ik ben van plan om debian in te zetten op mijn servertje. Nu heb ik nog enkele zeer ouder debian 3.0 cd's (2001/2002 denk ik ?, oud i.i.g.) . Echter ik wil wel graag wel een up to date installatie, dus dacht ik dat een netwerk install ideaal zou zijn. Nu moet ik een mirror-server opgeven (gebuik de xs4all ftp, de unstable is daar volgens mij van gelijke datum dan de laatste unstable op de officiele ftp), maar volgens de handleiding moet ik eerst een base install doen ! Dan moet ik dus eerst de verouderde debian er op zetten van de oude cd's...wordt dit dan wel upgedated ?
  • Yep, wel de base install. Anders moet je een nieuwe debian-installer CD halen van http://www.debian.org/devel/debian-installer/ . De kleinere ISO's halen vrijwel alles van internet. En met de nieuwe installer kun je stable, testing en unstable installeren. Overigens is Debian Stable net zo oud als de Debian Woody die je op CD hebt. Er zijn alleen security updates voor gemaakt die je na de installatie ook met APT op kunt halen...
  • Precies, gewoon lekker de base erop gooien en alles wat je wil vervolgens binnensleuren met APT. /me houdt van een schoon systeem :)
  • Ik denk dat ik het beste unstable kan gaan gebruiken en zal dat via de xs4all mirror doen. Die mirror is btw een '3e klas' of zo... Betekent dit dat niet alles er op staat ? Want volgens mij zijn de bestanden wel allemaal up to date. Op de mirrorlist van debian.org is er slechts 1 officiele mirror in nederland.
  • Iemand wel eens Debian From Scratch geprobeerd? http://people.debian.org/~jgoerzen/dfs/html/ Ziet er wel interessant uit.
  • Nog even een vraag over apt-get. Het moet mogelijk zijn om met apt-get bepaalde packeges te updaten. Kan ik ook in een keer checken of er updates zijn voor de packeges die geinstalleerd zijn om vervolgens die updates gelijk te installeren ? Nu moet ik package voor package doen en ik weet nooit wat ik heb geinstalleerd en welke versie het is, want de benamingen zjion soms nogal verwarrend..., misschien is het een kwestie van wennen, maar het is toch wel een belangrijk weetje. Ik heb ook begrepen dat sommigen een script hebben die automatisch het systeem up to date houd.
  • [quote:728e56f3e2="bvvelde"]Nog even een vraag over apt-get. Het moet mogelijk zijn om met apt-get bepaalde packeges te updaten. Kan ik ook in een keer checken of er updates zijn voor de packeges die geinstalleerd zijn om vervolgens die updates gelijk te installeren ? Nu moet ik package voor package doen en ik weet nooit wat ik heb geinstalleerd en welke versie het is, want de benamingen zjion soms nogal verwarrend..., misschien is het een kwestie van wennen, maar het is toch wel een belangrijk weetje. Ik heb ook begrepen dat sommigen een script hebben die automatisch het systeem up to date houd.[/quote:728e56f3e2] [b:728e56f3e2]apt-get update && apt-get upgrade[/b:728e56f3e2] bedoel je?
  • Shit, die install wil niet. Ik heb een minimale cd iso gedownload voor een internet install. Helaas kan de betreffende pc niet van cd-rom booten, dus ben ik floppies nodig. Maar de netwerkkaart wordt nu niet herkend ! Het is een 3com 509b isa kaart. Die zou er toch wel tussen moeten staan, de netwerk driver floppy helpt hierbij ook niet.
  • Hmmm, de cdrom speler blijkt kapot te zijn. Jammer, nu moet ik alles vanaf flop doen. Ik gebruik nu de boot, root en netwerk drivers floppy. Dat moet genoeg zijn om een install vanaf een ftp-mirror te doen. Helaas staat de netwerkdriver voor mijn 3com 3c509b niet in het lijstje. Het is een oude isa kaart, maat toch wel bekent dacht ik ? Ook als ik dus vanaf de netwerk drivers diskette de drivers inlaad komt hij er niet tussen te staan ? Hoe kan ik mijn netwerkkaart aan werkende krijgen ?
  • [quote:e5946536e7="bvvelde"]Helaas staat de netwerkdriver voor mijn 3com 3c509b niet in het lijstje. Het is een oude isa kaart, maat toch wel bekent dacht ik ? [/quote:e5946536e7] Staat de Plug 'n' Play (PnP) van die oude isa kaart wel enabled? Zie [url=http://www.linuxquestions.org/questions/showthread.php?s=&threadid=149130&highlight=3c509b]deze discussie.[/url]
  • Ik geloof mij te herinderen dat hij wel inPnP stand stond, maar ik zal het zo controleren. Het beschreven probleem is echter niet dat waar ik nu mee zit. Tijdens de installatie kan ik kiezen uit een lijstje netwerkkaarten en daar zit de 3c509 serie niet bij... Ook met de netwerk-drivers diskette komt hij niet in het lijstje te voorschijn (komen helemaal geen netwerkaarten bij).
  • Ik heb het even gecontroleerd en PnP staat wel gewoon aan. Wat moet ik nu doen ? Zijn er andere netwerk0driver diskette's dan waar de 3c905 wel op staat ?
  • Nou heb ik het probleem gevonden. Het lag aan de diskettes Ik gebruikte de non-us cd-rom en dus de non-us diskettes. Later heb ik van een mirror opnieuw de diskette images gedownload. Nog steeds het zelfde probleem. Nu heb ik de us-versie diskettes en die werken wel ! Ik kan nu gewoon de 3c905 kiezen. Is het een probleem dat ik nu de Us versie heb ? Die is volgens mij beperkter toch ?, met het oog op encryptie en zo ?
  • Oké, nu ben ik weer tegen een ander oobstakel aangelopen. Wanneer ik toe ben aan de stap waar gepartitioneerd moet worden, dan krijg ik de optie 'help with partitioning', als ik dat dan doe, dan kan ik alleen kiezen uit 'partitioning self', vervolgens kom ik in een menu met opties om raid, lvm en dergelijke in te stellen, maar er zijn 2 regels blank. Dat zijn denk ik de partitie informatie en de cfdisk optie... Als ik dan vanuit een shell cfdisk op start, dan kan hij de hd's niet vinden... Heel vreemd.
  • Ik denk dat op de een of andere mannier mijn hd niet onder linux wordt herkend. Het is een oude pentium 120, maar een hardeschijf van 3,2gb moet geen probleem zijn lijkt me. Waarom kan ik mijn hd niet benaderen ?
  • Ik denk omdat je handmatig de modules moet laden? Als je 'lsmod' doet, zie je dan enige modules met betrekking tot ide erbij staan? De module 'ide-disk' bijvoorbeeld? Ik denk namelijk dat de kernel op de floppies nauwelijks support voor dingen ingebakken hebben om ze op het floppy te laten passen, daarom moet je dus alle support voor hardware als modules inladen (wellicht van een andere flop).
  • [quote:e711e8fe1f="Marcel de Reus"]Ik denk omdat je handmatig de modules moet laden? Als je 'lsmod' doet, zie je dan enige modules met betrekking tot ide erbij staan? De module 'ide-disk' bijvoorbeeld? Ik denk namelijk dat de kernel op de floppies nauwelijks support voor dingen ingebakken hebben om ze op het floppy te laten passen, daarom moet je dus alle support voor hardware als modules inladen (wellicht van een andere flop).[/quote:e711e8fe1f] Waar moet ik die flop vandaan halen ? Ik heb het nu ook op een andere (recentere computer ;)) geprobeerd en die heeft precies hetzelfde. Nergens de mogelijkheid om de HD's te partitioneren. Ik heb op de cd gekeken maar daar staan maar 4 diskette images. Een root, boot, netwerk en cdrom diskette. Niks met ide volgens mij.... Waar kan ik zo'n schijfje vinden ?
  • Wellicht staan de modules gewoon op het boot of root schijfje. Heb je 'modprobe ide-disk' al geprobeerd?
  • modprobe geeft : "failed to load module ide-disk"
  • Ik ben helaas geen Debiaantje, maar ik kon iig dit voor je vinden: http://www.debian.org/distrib/floppyinst Als je gewoon die stappen volgt zou het moeten lukken. Je moet dus eerst van de resque disk booten volgens deze handleiding (hoe logisch :-? ).

Beantwoord deze vraag

Weet jij het antwoord op deze vraag? Registreer of meld je aan met je account

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.